AjpAprProtocol.AjpConnectionHandler (Tomcat API Documentation)
Keywords: org.apache.coyote.ajp.AjpAprProtocol.AjpConnectionHandler class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.coyote.ajp
Class AjpAprProtocol.AjpConnectionHandler

    java.lang.Object
      org.apache.coyote.ajp.AjpAprProtocol.AjpConnectionHandler

All Implemented Interfaces:
  AprEndpoint.Handler

Enclosing class:
  AjpAprProtocol

    protected static class AjpAprProtocol.AjpConnectionHandler

extends java.lang.Object
implements AprEndpoint.Handler

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.tomcat.util.net.AprEndpoint.Handler
`AprEndpoint.Handler.SocketState`

Field Summary
`protected RequestGroupInfo` | `global`
`protected AjpAprProtocol` | `proto`
`protected java.util.concurrent.ConcurrentLinkedQueue<AjpAprProcessor>` | `recycledProcessors`
`protected java.util.concurrent.atomic.AtomicLong` | `registerCount`

Constructor Summary
`AjpAprProtocol.AjpConnectionHandler(AjpAprProtocol proto)`

Method Summary
`protected AjpAprProcessor` | `createProcessor()`
`AprEndpoint.Handler.SocketState` | `event(long socket, SocketStatus status)`
`AprEndpoint.Handler.SocketState` | `process(long socket)`
`protected void` | `register(AjpAprProcessor processor)`
`protected void` | `unregister(AjpAprProcessor processor)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### proto

    protected AjpAprProtocol proto

### registerCount

    protected java.util.concurrent.atomic.AtomicLong registerCount

### global

    protected RequestGroupInfo global

### recycledProcessors

    protected java.util.concurrent.ConcurrentLinkedQueue<AjpAprProcessor> recycledProcessors

Constructor Detail

### AjpAprProtocol.AjpConnectionHandler

    public AjpAprProtocol.AjpConnectionHandler(AjpAprProtocol proto)

Method Detail

### event

    public AprEndpoint.Handler.SocketState event(long socket,
                                                 SocketStatus status)

  Specified by:
    `event` in interface `AprEndpoint.Handler`

### process

    public AprEndpoint.Handler.SocketState process(long socket)

  Specified by:
    `process` in interface `AprEndpoint.Handler`

### createProcessor

    protected AjpAprProcessor createProcessor()

### register

    protected void register(AjpAprProcessor processor)

### unregister

    protected void unregister(AjpAprProcessor processor)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.